/* strongSwan keywords
 * Copyright (C) 2005 Andreas Steffen
 * Hochschule fuer Technik Rapperswil, Switzerland
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.  See <http://www.fsf.org/copyleft/gpl.txt>.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * RCSID $Id: keywords.h,v 1.2 2005/12/28 20:30:38 as Exp $
 */

#ifndef _KEYWORDS_H_
#define _KEYWORDS_H_

typedef enum {
    /* config setup keywords */
    KW_INTERFACES,
    KW_KLIPSDEBUG,
    KW_PLUTODEBUG,
    KW_DUMPDIR,
    KW_PREPLUTO,
    KW_POSTPLUTO,
    KW_FRAGICMP,
    KW_PACKETDEFAULT,
    KW_HIDETOS,
    KW_UNIQUEIDS,
    KW_OVERRIDEMTU,
    KW_CRLCHECKINTERVAL,
    KW_CACHECRLS,
    KW_STRICTCRLPOLICY,
    KW_NOCRSEND,
    KW_NAT_TRAVERSAL,
    KW_KEEP_ALIVE,
    KW_VIRTUAL_PRIVATE,
    KW_PKCS11MODULE,
    KW_PKCS11KEEPSTATE,
    KW_PKCS11PROXY,

    /* section keywords */
    KW_AUTO,

    /* conn section keywords */
    KW_KEYEXCHANGE,
    KW_TYPE,
    KW_PFS,
    KW_COMPRESS,
    KW_AUTHBY,
    KW_KEYLIFE,
    KW_REKEYMARGIN,
    KW_IKELIFETIME,
    KW_KEYINGTRIES,
    KW_REKEYFUZZ,
    KW_REKEY,
    KW_ESP,
    KW_IKE,
    KW_PFSGROUP,
    KW_DPDDELAY,
    KW_DPDTIMEOUT,
    KW_DPDACTION,

    /* ca section keywords */
    KW_CACERT,
    KW_LDAPHOST,
    KW_LDAPBASE,
    KW_CRLURI,
    KW_CRLURI2,
    KW_OCSPURI,

   /* end keywords */
    KW_HOST,
    KW_NEXTHOP,
    KW_SUBNET,
    KW_SUBNETWITHIN,
    KW_PROTOPORT,
    KW_SOURCEIP,
    KW_UPDOWN,
    KW_ID,
    KW_RSASIGKEY,
    KW_CERT,
    KW_SENDCERT,
    KW_CA,
    KW_GROUPS,

   /* left end keywords */
    KW_LEFT,
    KW_LEFTNEXTHOP,
    KW_LEFTSUBNET,
    KW_LEFTSUBNETWITHIN,
    KW_LEFTPROTOPORT,
    KW_LEFTSOURCEIP,
    KW_LEFTUPDOWN,
    KW_LEFTID,
    KW_LEFTRSASIGKEY,
    KW_LEFTCERT,
    KW_LEFTSENDCERT,
    KW_LEFTCA,
    KW_LEFTGROUPS,

   /* right end keywords */
    KW_RIGHT,
    KW_RIGHTNEXTHOP,
    KW_RIGHTSUBNET,
    KW_RIGHTSUBNETWITHIN,
    KW_RIGHTPROTOPORT,
    KW_RIGHTSOURCEIP,
    KW_RIGHTUPDOWN,
    KW_RIGHTID,
    KW_RIGHTRSASIGKEY,
    KW_RIGHTCERT,
    KW_RIGHTSENDCERT,
    KW_RIGHTCA,
    KW_RIGHTGROUPS
} kw_token_t;

#endif /* _KEYWORDS_H_ */

